<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
<!-- vap-10 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		</head>
        <BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
        <TABLE CELLPADDING="0" CELLSPACING="0" width="100%" height="100%" border="0">
        	<TR>
        		<TD colspan="3" class="header" style="background-image: url('images/header-bg.jpg'); background-repeat: repeat-x;">
        		<!-- HEADER -->
			   		<table cellspacing="0" cellpadding="0" class="header-bg" width="100%" border="0" height="260" style="background : url(images/header.jpg) top left no-repeat;">
			   			<tr>
			   			    <td style="padding-left: 502px; padding-top: 76;" valign="top">					
			   					<table cellspacing="0" cellpadding="0">
			   						<tr>
			   						    <td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" style="margin-right: 5px;"/></a></td>
			   							<td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
			   						</tr>
			   						<tr>
			   						    <td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
			   						</tr>
			   					</table>
			   				</td>
			   			</tr>
			   		</table>
        		<!-- END HEADER -->
        		</TD>
        	</TR>
        	<TR>
        		<TD valign="top" width="188" style="background-image: url('images/menu_bg.jpg'); background-repeat: repeat-y;">
        			<table width="188" cellspacing="0" cellpadding="0" border="0">
        				<tr>
        				    <td style="background-image: url('images/menu_tbg.jpg'); background-repeat: no-repeat;"></td>
        				</tr>
        				<!-- MENU -->
      		
	    					<!-- CALL SUB-MENU-->
    						<xsl:call-template name="TOP-MENU"/>

        				<!-- END MENU -->

        				
        				
        				<tr>
        					<td class="menu-bottom" style="background-image: url('images/menu_bbg.jpg'); background-repeat: no-repeat;"></td>
        				</tr>

        				
        				<!-- SUBMENU -->
        					<!-- CALL SUB-MENU-->
							<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
        				<!-- END SUBMENU -->
        				<tr>
        					<td class="submenu-bottom" style="background-image: url('images/submenu_bbg.jpg'); background-repeat: no-repeat;"></td>
        				</tr>
        			</table>	
        		</TD>
        		<TD class="vline" style="background-image: url('images/vline.jpg'); background-repeat: no-repeat;"><img src="images/vline.jpg"/></TD>
        		<TD height="100%" class="bg-color" width="100%" valign="top">
        		<!-- CONTENT -->
        			<table width="100%" cellspacing="0" cellpadding="0" border="0" class="bg" height="100%" style="background-image:  url('images/bg.jpg'); background-repeat: repeat-x;">
        				<tr>
        				    <td class="content-bg" height="100%" style="background-image:  url('images/bg_image.jpg'); background-repeat: no-repeat;">
        						<p class="content-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></p>
								<div class="text"><xsl:apply-templates select="PAGE-CONTENT"/></div>
        					</td>
        				</tr>
        			</table>
        		<!-- END CONTENT -->
        		</TD>
        	</TR>
        	<TR>
        		<TD colspan="3">
        			<table width="100%" height="100%" cellspacing="0" cellpadding="0" style="background-image:  url('images/footer_right.jpg'); background-repeat: repeat-x;">
        				<tr>
        				    <td class="footer-item" style="background-image:  url('images/footer.jpg'); background-repeat: no-repeat;">
                        		<!-- BOTTOM-MENU -->
                        			<xsl:call-template name="BOTTOM-MENU"/>
                        		<!-- END BOTTOM-MENU -->
        				    	<div style="width:0px; height:5px;"><span></span></div>
        						<span class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></span>
        					</td>
        				</tr>
        			</table>
        		</TD>
        	</TR>
        </TABLE>
        </BODY>


		</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>

<xsl:template match="MENU-ITEM" mode="sub">
        <xsl:choose>
	        <xsl:when test="@ID=/LAYOUT/@ID" >
   				<tr>
   					<td class="submenu-item" style="background-image: url('images/submenu_bg.jpg'); background-repeat: repeat-y;"><span class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
   				</tr>
    			<xsl:if test="position()!=last()">
       				<tr>
       					<td class="submenu-hr" style="background-image: url('images/submenu_hr.jpg'); background-repeat: no-repeat;"></td>
       				</tr>
    			</xsl:if>

            </xsl:when>
            <xsl:otherwise>
				<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
	   				<tr>
       					<td class="submenu-item" style="background-image: url('images/submenu_bg.jpg'); background-repeat: repeat-y;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
       				</tr>
        			<xsl:if test="position()!=last()">
           				<tr>
           					<td class="submenu-hr" style="background-image: url('images/submenu_hr.jpg'); background-repeat: no-repeat;"></td>
           				</tr>
        			</xsl:if>
				</xsl:if>
    	    </xsl:otherwise>
        </xsl:choose>
</xsl:template>

<xsl:template name="BOTTOM-MENU">
	<xsl:apply-templates select="MENU" mode="bottom"/>
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>

<xsl:template match="MENU-ITEM"  mode="bottom">
			<xsl:choose>
            <!-- when vizited inside-->
            	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
	   				<a href="{@HREF}" class="btmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
                </xsl:when>
                <!-- when active-->
                
                <xsl:otherwise>
	   				<a href="{@HREF}" class="btmenu" id="bmenu{position()}" style="text-decoration: underline;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
                </xsl:otherwise>
            </xsl:choose>
			<xsl:if test="position()!=last()">
   				<img src="images/footer_bullet.gif" align="absmiddle" style="margin-top: 3px;"/>
			</xsl:if>
</xsl:template>

<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>

<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>

</xsl:stylesheet>
