<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- xmp-11 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>

</head>

<body bgcolor="#FFFFFF" style="margin:0;">
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="48" align="center" style="padding-top:25px;"><table  border="0" cellspacing="0" cellpadding="0">
      <tr>
<xsl:call-template name="TOP-MENU"/>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td background="images/headers_1.jpg"><table width="100%" height="267"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td align="right" style="background:url(images/headers.jpg) no-repeat left;padding-right:82px;"><table  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td><a href="./"><img src="images/{LOGO/@NAME}" alt="" hspace="4" border="0"/></a></td>
            <td><table  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td align="left" class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
              </tr>
              <tr>
                <td align="left" class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="100%" valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="252" height="100%" valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td height="85"><img src="images/headers_2.jpg" width="252" height="85"/></td>
          </tr>
          <tr>
            <td height="100%" valign="top" background="images/submenu_bg.jpg"><table width="100%" height="275"  border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td height="275" align="center" valign="top" style="background:url(images/submenu1.jpg) no-repeat top;padding-top:25px;padding-bottom:25px;"><table width="122"  border="0" cellpadding="0" cellspacing="0">
<xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
                </table></td>
              </tr>
            </table></td>
          </tr>
          <tr>
            <td height="141" align="center" valign="middle" background="images/left_b.jpg" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
          </tr>
        </table></td>
        <td height="100%" valign="top" class="contentbg" style="padding:38px 22px 24px 22px;"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td align="right"><table  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td class="text-header" style="padding-right:12px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
              </tr>
            </table></td>
          </tr>
          <tr>
            <td height="100%" valign="top" class="pageContent" style="padding-top:9px;"><xsl:apply-templates select="PAGE-CONTENT"/></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="82" background="images/bottom_bg.jpg"><table width="100%" height="82"  border="0" cellpadding="0" cellspacing="0" style="background:url(images/bottom.jpg) no-repeat left;">
      <tr>
        <td width="252"></td>
        <td align="center" style="padding-rihgt:49px;"><table  border="0" cellspacing="0" cellpadding="0">
          <tr>
<xsl:call-template name="BOTTOM-MENU"/>
            </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
</table>

</body>
</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>
				<td width="108" align="left"><span class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
                 <td width="14" height="39"><img src="images/sub_bullet.png" width="4" height="4" hspace="5"/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					<td width="108" align="left"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                    <td width="14" height="39"><img src="images/sub_bullet.png" width="4" height="4" hspace="5"/></td>
				
			</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
                  <tr>
                    <td colspan="2"><img src="images/sub_line.png" width="122" height="4"/></td>
                    </tr>
						</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
		
			<td style="padding-left:49px;"><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
		   
			<td style="padding-left:49px;"><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">			
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>

