<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- xww-25 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<table width="100%" height="100%"  border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td height="198" colspan="2" background="images/xw_02.jpg">
	<table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="100%" style="padding-left: 60px; background-image: url(images/xw_01.jpg);
	background-repeat: no-repeat;
	background-position: left bottom;">
<!-- END LOGO -->
	<table border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
            <td align="left" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
          </tr>
          <tr>
            <td align="left" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
          </tr>
        </table>
<!-- END LOGO -->
		</td>
        <td width="518" align="right"><img src="images/header.jpg" width="518" height="198" alt="" /></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td width="100%" height="45" align="center" valign="top" background="images/xw_05.jpg" style="padding-left: 30px; padding-bottom: 7px; padding-right: 30px;">
<!-- END MENU -->
	<table border="0" height="40" cellspacing="0" cellpadding="0">
      <tr> 
	  <xsl:call-template name="TOP-MENU"/>
      </tr>
    </table>
<!-- END MENU -->
	</td>
  <td width="20%" align="center" valign="top" background="images/xw_05.jpg"><img src="images/spacer.gif" width="200" height="10" /></td>
  </tr>
  <tr>
    <td colspan="2" valign="top" background="images/xw_36.jpg" width="100%" height="100%">
	<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="100%" background="images/xw_15.jpg"></td>
        <td width="178" background="images/xw_17.jpg" height="10"><img src="images/spacer.gif" width="178" height="20" /></td>
        <td width="50"><img src="images/spacer.gif" width="50" height="20" /></td>
      </tr>
      <tr>
        <td valign="top" width="100%" height="100%" style="padding-left: 45px; padding-right: 45px;">
			<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					<td style="padding-left: 5px;"><img src="images/xw_20.jpg" width="24" height="19" alt="" /></td>
		  		</tr>
			</table>
			<div style="width:0px; height:15px;"><span></span></div>
	   		<table width="100%" height="100%"><tr><td width="100%" height="100%" valign="top" name="SB_stretch" class="pageContent"><xsl:apply-templates select="PAGE-CONTENT"/></td></tr></table>
			<!-- END CONTENT --></td>
        <td valign="top">
		<table width="178" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td align="left" valign="top" background="images/xw_30.jpg">
<!-- END SUBMENU -->
			<table width="178" border="0" cellspacing="0" cellpadding="0">
			  <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
            </table>
<!-- END SUBMENU -->
			</td>
          </tr>
          <tr>
            <td><img src="images/xw_33.jpg" width="178" height="34" alt="" /></td>
          </tr>
        </table></td>
        <td></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="50" colspan="2" background="images/xw_36.jpg">
	<table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="100%"></td>
      <td width="270"><img src="images/spacer.gif" width="270" height="1" /></td>
      </tr>
      <tr>
        <td width="100%" align="center" style="padding-left: 30px; padding-right: 30px;">
<!-- BOTTOM MENU -->
		<table border="0" cellspacing="0" cellpadding="0">
          <tr>
		    <xsl:call-template name="BOTTOM-MENU"/>
          </tr>
        </table>
<!-- BOTTOM MENU -->
		</td>
        <td align="left" class="footer" style="padding-left: 50px; padding-right: 20px;">
<!-- FOOTER -->
<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
<!-- END FOOTER -->
		</td>
      </tr>
    </table></td>
  </tr>
</table>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
 <tr>
     <td align="left" style="padding-left: 20px; padding-right: 10px;" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
 </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
 <tr>
     <td align="left" style="padding-left: 20px; padding-right: 10px;">
        <a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
	 </td>
 </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
              <tr>
                <td><img src="images/xw_26.jpg" width="178" height="16" alt="" /></td>
              </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
<td align="center"><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
<td align="center"><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
	 <td width="20" align="center"><img src="images/xw_40.jpg" width="1" height="15" alt="" /></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
